Les outils de ligne de commande ne fonctionnent pas - Mac OS X El Capitan / macOS Sierra / macOS High Sierra



4 Answers

Si vous rencontrez des problèmes avec la commande xcode-select --install ; Par exemple, j'ai continué à obtenir un délai d'attente réseau, puis essayez de télécharger le fichier dmg sur developer.apple.com/downloads (Outils de ligne de commande OS X 10.11) pour Xcode 7.1

Question

Je viens de passer de Yosemite à El Capitan (et j'ai répliqué le problème de mise à niveau d'El Capitan vers Sierra), et quand j'essaye de taper par exemple l' git status dans un terminal, j'obtiens l'erreur suivante:

xcrun: error: invalid active developer path
 (/Library/Developer/CommandLineTools), missing xcrun at:
 /Library/Developer/CommandLineTools/usr/bin/xcrun

Je n'ai pas Xcode installé, jamais fait. Quelqu'un a une solution?




Je viens de mettre à jour vers High Sierra et je ne pouvais pas simplement lancer xcode-select --install . Tout d'abord, j'ai dû installer xcode à partir de l'App Store. Puis j'ai couru xcode-select --install . Ensuite, je devais exécuter sudo xcodebuild -license , accepter les termes, puis je pouvais enfin lancer des commandes git à nouveau.




J'ai mis à niveau Mac OS vers macOS High Sierra - 10.13.3 et j'ai dû faire face à un problème similaire en essayant d 'installer Watchman (avec le controlman de l' installateur de commande).

a couru la commande: xcode-select --install, alors couru "brew install watchman" - Tout fonctionne bien!




Réaffecter le chemin Xcode est configuré avec travaillé pour moi.

sudo xcode-select -switch /Applications/Xcode.app

Vous serez alors probablement invité (après avoir essayé une commande) à accepter le contrat de licence.




Pour moi, après avoir supprimé Xcode, je dois changer le chemin du développeur actif comme suit: sudo xcode-select -s /






Related